#ifndef FMP_SYNCER_I_H
#define FMP_SYNCER_I_H

#include <fmp_plugin_i.h>

/**
 * 非业务插件接口，必须继承自 BaseInterface
 * @brief The FMPSyncerInterface class
 */
class FMPSyncerInterface : public FMPBaseInterface
{
public:
    virtual void            Sync() = 0;



    //! Base
    int                     SetProperties(const FMPProps &props)
    {
        Q_UNUSED(props)
        return FMP_SUCCESS;
    }
};

Q_DECLARE_INTERFACE(FMPSyncerInterface, "com.fmp.syncer")

#endif // FMP_SYNCER_I_H
